Importance of .Net framework for Office365

Indie101
Indie101 used Ask the Experts™
on
See in installation notes for proplus that version 3.5 .Net Framework required for regular office applications and 4.5 clr needed for Skype for Business.

These don't come with Windows 10 natively . Using a BYOD model just wondering what the importance of .Net is and what errors it will generate if the correct version isn't used?
Comment
Watch Question

Do more with

Expert Office
EXPERT OFFICE® is a registered trademark of EXPERTS EXCHANGE®
Jackie Man IT Manager
Top Expert 2010

Commented:
Using a BYOD model just wondering what the importance of .Net is and what errors it will generate if the correct version isn't used?

No error. You just cannot install it and you will be prompted / required to install .Net framework as the click to run installer will check the requirements before it will install the app.

Author

Commented:
If it's any version prior to 3.5 or below will the same message occur that it won't install?

Also if 3.5 is installed will Skype for business work?
Says .Net 4.5 clr required
IT Manager
Top Expert 2010
Commented:
If your Skype for business is installed on a standalone (not domain joint) computer, you can skip .Net 3.5.

.Net 3.5 is needed for directory sync on single sign-on (SSO) for Skype for business.

The best practice is to install .Net 3.5 for domain joint computer if the AD is not the latest version.

Do more with

Expert Office
Submit tech questions to Ask the Experts™ at any time to receive solutions, advice, and new ideas from leading industry professionals.

Start 7-Day Free Trial